NX Open C++ Reference Guide
|
Segment builder for Die Engineering draw bead. More...
Public Types | |
enum | MaleBeadWidthTypes { MaleBeadWidthTypesConstant, MaleBeadWidthTypesDerived } |
value for how the male width is specified. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | EndLocation () |
Returns the end location along the centerline for this segment. | |
NXOpen::Expression * | FemaleLeftRadius () |
Returns the expression containing the female left radius value. | |
NXOpen::Expression * | FemaleRightRadius () |
Returns the expression containing the female right radius value. | |
bool | Flow () |
Returns the value identifying if the segment is of flow type (the top radius is half the width). | |
NXOpen::Expression * | MaleBeadHeight () |
Returns the expression containing the male bead height value. | |
NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes | MaleBeadWidthType () |
Returns the male bead width type. | |
NXOpen::Expression * | MaleLeftSheetRadius () |
Returns the expression containing the male sheet radius value for the "Left" side. | |
NXOpen::Expression * | MaleLeftTopRadius () |
Returns the expression containing the male top radius value for the "Left" side. | |
NXOpen::Expression * | MaleLeftWallAngle () |
Returns the expression containing the male wall angle value for the "Left" side. | |
NXOpen::Expression * | MaleLeftWidth () |
Returns the expression containing the male width value for the "left" side. | |
NXOpen::Expression * | MaleRightSheetRadius () |
Returns the expression containing the male sheet radius value for the "Right" side. | |
NXOpen::Expression * | MaleRightTopRadius () |
Returns the expression containing the male top radius value for the "Right" side. | |
NXOpen::Expression * | MaleRightWallAngle () |
Returns the expression containing the male wall angle value for the "Right" side. | |
NXOpen::Expression * | MaleRightWidth () |
Returns the expression containing the male width value for the "Right" side. | |
NXOpen::Expression * | MaleTransitionLength () |
Returns the expression containing the male transition length value. | |
void | SetFlow (bool flow) |
Sets the value identifying if the segment is of flow type (the top radius is half the width). | |
void | SetMaleBeadWidthType (NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes maleBeadWidthType) |
Sets the male bead width type. | |
void | SetSymmetry (bool symmetry) |
Sets the value identifying that the male width is symmetrical about the location and reference direction. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | StartLocation () |
Returns the start location along the centerline for this segment. | |
bool | Symmetry () |
Returns the value identifying that the male width is symmetrical about the location and reference direction. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Segment builder for Die Engineering draw bead.
The segment is defined along the centerline by either a single point (and then the next segment) or 2 end points along the segment.
To create a new instance of this class, use Die::DrawBeadBuilder::CreateDrawBeadSegment
Created in NX7.5.0.
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DrawBeadSegmentBuilder::EndLocation | ( | ) |
Returns the end location along the centerline for this segment.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::FemaleLeftRadius | ( | ) |
Returns the expression containing the female left radius value.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::FemaleRightRadius | ( | ) |
Returns the expression containing the female right radius value.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::DrawBeadSegmentBuilder::Flow | ( | ) |
Returns the value identifying if the segment is of flow type (the top radius is half the width).
Only allowed if the bead is symmetric.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadHeight | ( | ) |
Returns the expression containing the male bead height value.
The height is measured from the centerline to the top of the bead.
Created in NX7.5.0.
License requirements : None
NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthType | ( | ) |
Returns the male bead width type.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftSheetRadius | ( | ) |
Returns the expression containing the male sheet radius value for the "Left" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftTopRadius | ( | ) |
Returns the expression containing the male top radius value for the "Left" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftWallAngle | ( | ) |
Returns the expression containing the male wall angle value for the "Left" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleLeftWidth | ( | ) |
Returns the expression containing the male width value for the "left" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightSheetRadius | ( | ) |
Returns the expression containing the male sheet radius value for the "Right" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightTopRadius | ( | ) |
Returns the expression containing the male top radius value for the "Right" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightWallAngle | ( | ) |
Returns the expression containing the male wall angle value for the "Right" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleRightWidth | ( | ) |
Returns the expression containing the male width value for the "Right" side.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadSegmentBuilder::MaleTransitionLength | ( | ) |
Returns the expression containing the male transition length value.
The transition length is between bead segments.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::DrawBeadSegmentBuilder::SetFlow | ( | bool | flow | ) |
Sets the value identifying if the segment is of flow type (the top radius is half the width).
Only allowed if the bead is symmetric.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
flow | flow |
void NXOpen::Die::DrawBeadSegmentBuilder::SetMaleBeadWidthType | ( | NXOpen::Die::DrawBeadSegmentBuilder::MaleBeadWidthTypes | maleBeadWidthType | ) |
Sets the male bead width type.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
maleBeadWidthType | malebeadwidthtype |
void NXOpen::Die::DrawBeadSegmentBuilder::SetSymmetry | ( | bool | symmetry | ) |
Sets the value identifying that the male width is symmetrical about the location and reference direction.
True indictaes that it is symmetrical.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
symmetry | symmetry |
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DrawBeadSegmentBuilder::StartLocation | ( | ) |
Returns the start location along the centerline for this segment.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::DrawBeadSegmentBuilder::Symmetry | ( | ) |
Returns the value identifying that the male width is symmetrical about the location and reference direction.
True indictaes that it is symmetrical.
Created in NX7.5.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.